Get resolution link
Get a resolution link by code.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/profile.read scope.
GET
/accounts/{accountID}/resolution-links/{resolutionLinkCode}
curl -X GET "https://api.moov.io/accounts/{accountID}/resolution-links/{resolutionLinkCode}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.04.00"import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.resolutionLinks.get({
accountID: "<id>",
resolutionLinkCode: "<value>",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->resolutionLinks->get(
accountID: '<id>',
resolutionLinkCode: '<value>'
);
if ($response->resolutionLink !== null) {
// handle response
}package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetResolutionLinkResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
GetResolutionLinkResponse res = sdk.resolutionLinks().get()
.accountID("<id>")
.resolutionLinkCode("<value>")
.call();
if (res.resolutionLink().isPresent()) {
System.out.println(res.resolutionLink().get());
}
}
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.resolution_links.get(account_id="<id>", resolution_link_code="<value>")
# Handle response
print(res)require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.resolution_links.get(account_id: '<id>', resolution_link_code: '<value>')
unless res.resolution_link.nil?
# handle response
endusing Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.ResolutionLinks.GetAsync(
accountID: "<id>",
resolutionLinkCode: "<value>"
);
// handle responseThe request completed successfully.
{
"accountID": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"code": "bwebMOhZ85",
"createdOn": "2026-07-01T12:00:00Z",
"expiresOn": "2026-07-08T12:00:00Z",
"partnerAccountID": "0d8e0d6e-e4a2-4f1b-8c3d-1b9e0f5a7c2d",
"recipient": "15555555555",
"updatedOn": "2026-07-01T12:00:00Z",
"url": "https://moov.link/r/bwebMOhZ85"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Set this header to v2026.04.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.04.00
Path parameters
accountID
string
required
resolutionLinkCode
string
required
Response
accountID
string
required
The ID of the merchant account this resolution link is associated with.
A unique identifier for a Moov resource. Supports UUID format (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx) or typed format with base32-encoded UUID and type suffix (e.g., kuoaydiojf7uszaokc2ggnaaaa_xfer).
code
string
required
A unique nanoid identifier for the resolution link.
createdOn
string<date-time>
required
The date and time the resolution link was created.
expiresOn
string<date-time>
required
The date and time the resolution link expires.
partnerAccountID
string
required
The ID of the partner account this resolution link is associated with.
A unique identifier for a Moov resource. Supports UUID format (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx) or typed format with base32-encoded UUID and type suffix (e.g., kuoaydiojf7uszaokc2ggnaaaa_xfer).
recipient
string
required
The recipient contact information for the resolution link.
updatedOn
string<date-time>
required
The date and time the resolution link was last updated.
url
string
required
The URL of the resolution link.
disabledOn
string<date-time>
The date and time the resolution link was disabled, if applicable.